Sign up to Our

NEWSLETTER


 
To answer your question faster, you can search our knowledgebase articles before submitting a ticket.
Knowledgebase
System Requirements for using WPL and Add-ons
Posted by Howard R. on 22 July 2019 07:14 AM

Below is a list of systems that work with WPL and add-ons:

  • Linux Host
  • Apache Server 2.x.x or higher (or other standard web servers such as Nginx or Light Speed etc.)
  • PHP 5.4.x or higher
  • MySQL 5.6.x or higher (APS Add-on requires MySQL 5.7.x and higher) Or MariaDB 10.1 and higher
  • MySQL STRICT_TRANS_TABLES must be off.
  • WordPress 4.0.0 or higher
  • CURL Library
  • Allow_url_fopen set to ON in php.ini
  • GD Library, also "freetype" package should be installed and configured with PHP
  • Safe mode should be off.
  • Magic quote should be off
  • Memory limit should be set to 512 MB for WPL installation (Min. 128 MB)
  • PHP "ZipArchive" extension * must be installed for updating the PRO version of WPL and its add-ons.
  • PHP "Multibyte String" extension ** must be installed for using pdf generator feature.
Integrations
  • Memory limit should be set 256 MB (Min)
  • System wide Cron Jobs are required for some addons like Importer, MLS, etc.
  • You need a powerful web-hosting or preferably a VPS or dedicated server for MLS Integration or Listhub integration
  • iconv PHP Extension should be installed for MLS integration.
  • For MLS Integration, please make sure outgoing TCP open 6103 and outgoing TCP port 80 are open in your web-hosting's firewall.
  • In terms of hosting storage, for MLS integration or Listhub integration, by average 5 MB space (depending on MLS provider) per listing is required.
  • For MLS integration/Listhub integration, the hosting should not have any limitation in inode (file counter).
  • For NWMLS or other Soap based MLS providers, PHP-SOAP extension should be enabled on the server.

* compile php with --enable-zip option at the server side
** compile php with --enable-mbstring option at the server side

To run any kind of sophisticated web based software such as WPL, your server needs to meet the requirements listed above.

Recommendations

  • WordPress debug mode should be off.
  • cPanel (recommended but not necessary)
  • For integrations, try to have VPS, since over 90% of the cases, could not run on Shared hosting plans due to hosting limitations. 
  • Almost all Wordpress Managed hosting plans are not supported. Please check with support team for further details.

Host checker tool (Note: Only for Basic hosting check. Does NOT include checking Integration requirements)

You can download "WPL host checker" (Excluding add-ons) and place it on the root of your website to check the minimum requirements (Does NOT include checking integration requirements).

- Please Download the archive from Here

- Then just extract it, it has a file: "wpl-host-checker.php"

- Upload the file, with FTP or cPanel file manager to the "public_html" or "www" folder.

- Finally, open the file by following URL:

http://yoursite.com/wpl-host-checker.php

(Replace yoursite.com with your website's URL)

The checker will run and will show you the report for the basic hosting check (It does not include integration requirements)

 

For an affordable solution, find out more about our Web Hosting Service on shared webhosting here. For dedicated hosting please click here.


Comments (0)